// ConsoleCalculatorCpp.cpp : Defines the entry point for the console application.
//

//#include "stdafx.h"
#include <string>
#include <iostream> 
#include "uCalc.h"

using namespace std;

int main()
{
   uCalc uc;
   string Expression;
   cout << "uCalc Console Calculator (C++) Demo" << endl;
   cout << "Type your math expressions at the prompt." << endl;
   cout << "To quit type EXIT and press enter." << endl;
   uc.DefineVariable("Prompt As String = '> '");
   while (true) {
      cout << uc.EvalStr("Prompt");
      getline(cin, Expression);
      if (Expression == "EXIT") break;
      cout << uc.EvalStr(Expression) << endl;
   }
    return 0;
}

